com.amazonaws.services.lambda.model

## Class GetAliasRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.GetAliasRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class GetAliasRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`GetAliasRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetAliasRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getFunctionName()` Function name for which the alias is created.
`String` `getName()` Name of the alias for which you want to retrieve information.
`int` `hashCode()`
`void` `setFunctionName(String functionName)` Function name for which the alias is created.
`void` `setName(String name)` Name of the alias for which you want to retrieve information.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetAliasRequest` `withFunctionName(String functionName)` Function name for which the alias is created.
`GetAliasRequest` `withName(String name)` Name of the alias for which you want to retrieve information.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetAliasRequest

    public GetAliasRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

Function name for which the alias is created. An alias is a subresource that exists only in the context of an existing Lambda function so you must specify the function name.

Parameters:
  `functionName` - Function name for which the alias is created. An alias is a subresource that exists only in the context of an existing Lambda function so you must specify the function name.

#### getFunctionName

    public String getFunctionName()

Function name for which the alias is created. An alias is a subresource that exists only in the context of an existing Lambda function so you must specify the function name.

Returns:
  Function name for which the alias is created. An alias is a subresource that exists only in the context of an existing Lambda function so you must specify the function name.

#### withFunctionName

    public GetAliasRequest withFunctionName(String functionName)

Function name for which the alias is created. An alias is a subresource that exists only in the context of an existing Lambda function so you must specify the function name.

Parameters:
  `functionName` - Function name for which the alias is created. An alias is a subresource that exists only in the context of an existing Lambda function so you must specify the function name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

Name of the alias for which you want to retrieve information.

Parameters:
  `name` - Name of the alias for which you want to retrieve information.

#### getName

    public String getName()

Name of the alias for which you want to retrieve information.

Returns:
  Name of the alias for which you want to retrieve information.

#### withName

    public GetAliasRequest withName(String name)

Name of the alias for which you want to retrieve information.

Parameters:
  `name` - Name of the alias for which you want to retrieve information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetAliasRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`